%define dist Unicode-Collate
Name: perl-%dist
Version: 0.50
Release: alt1

Summary: Unicode Collation Algorithm
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
Source0: %dist-%version.tar.bz2

# http://www.unicode.org/Public/UCA/4.1.0/allkeys.txt
Source1: %name-allkeys-4.1.0.txt.bz2

# require Unicode::Normalize without `eval'
Patch0: %name-0.40-alt-strict-deps.patch

BuildArch: noarch
# split perl-i18n
Requires: perl-base >= 1:5.8.6

# Added by buildreq2 on Thu May 12 2005
BuildRequires: perl-Unicode-Normalize perl-devel

%description
This module implements Unicode Collation Algorithm,
as described by Unicode Technical Standard #10 (UTS #10).

%prep
%setup -q -n %dist-%version
%patch0 -p1

%__cp -av %SOURCE1 Collate/allkeys.txt.bz2
%__bzip2 -d Collate/allkeys.txt.bz2

%build
%perl_vendor_build
%__perl -Mblib -MUnicode::Collate -e 'Unicode::Collate->new'

%install
%perl_vendor_install

%files
%doc	Changes README
%dir	%perl_vendor_privlib/Unicode
	%perl_vendor_privlib/Unicode/Collate.pm
%dir	%perl_vendor_privlib/Unicode/Collate
	%perl_vendor_privlib/Unicode/Collate/allkeys.txt

%changelog
* Thu May 12 2005 Alexey Tourbin <at@altlinux.ru> 0.50-alt1
- 0.40 -> 0.50
- updated allkeys.txt (Unicode 4.1.0)

* Wed Dec 15 2004 Alexey Tourbin <at@altlinux.ru> 0.40-alt1
- initial revision (split from perl-i18n)
- installed allkeys.txt from unicode.org, just as recommended
